Bug 144525 - CAN-2005-0179 RLIMIT_MEMLOCK bypass and (2.6) unprivileged user DoS
CAN-2005-0179 RLIMIT_MEMLOCK bypass and (2.6) unprivileged user DoS
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
public=20060107,impact=moderate
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-07 17:11 EST by Josh Bressers
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-31 16:21:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-07 17:11:42 EST
*** This bug has been split off bug 144524 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.07
17:08 -------

This was reported by grsecurity to full-disclosure
http://lists.netsys.com/pipermail/full-disclosure/2005-January/030660.html

the 'culprit' patch is how the default RLIM_MEMLOCK and the privilege
to call mlockall have changed in 2.6.9. namely, the former has been
reduced to 32 pages while the latter has been relaxed to allow it for
otherwise unprivileged users if their RLIM_MEMLOCK is bigger than the
currently allocated vm. which is normally good enough, except as you
now know there's a path that can increase the allocated vm without
checking for RLIM_MEMLOCK.


The fix for this issue is attachment 109501 [details]
Comment 2 Jason Baron 2005-03-31 16:21:44 EST
In rhel2.1 x86 mlock is restricted to root. Non-root users can not lock memory,
thus this is not a bug.

Note You need to log in before you can comment on or make changes to this bug.